交易管理
授权
Authorizationstring必填
使用从 /thirdPartyLogin 接口获取的 userToken 进行身份验证。
在请求头中添加:
Authorization: Bearer {userToken}
示例:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoxMjM0LCJ1c2VyX2tleSI6InVzZXJAZXhhbXBsZS5jb20iLCJleHAiOjE2OTgyMDMzOTV9.xxxxx
注意:
/thirdPartyLogin接口不需要 Authorization header(用于获取 token)- 其他所有接口都需要在请求头中携带 Authorization header
- Token 过期后需要重新调用
/thirdPartyLogin获取新 Token
请求体
trans_idinteger必填Example:
交易记录ID(与order_id二选一)
12345order_idstring可选Example:
第三方订单号(与trans_id二选一)
open_card_12345_39_abc123响应
200
查询成功
application/json
codeinteger可选Example:
响应状态码,200 表示成功
200statusstring可选Example:
响应状态,"true" 表示成功
truemessagestring可选Example:
响应消息
success400
请求参数错误
application/json
401
未授权
application/json
404
交易记录不存在
application/json
500
服务器内部错误
application/json
post
/getRecordDetail授权
Authorizationstring必填
使用从 /thirdPartyLogin 接口获取的 userToken 进行身份验证。
在请求头中添加:
Authorization: Bearer {userToken}
示例:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoxMjM0LCJ1c2VyX2tleSI6InVzZXJAZXhhbXBsZS5jb20iLCJleHAiOjE2OTgyMDMzOTV9.xxxxx
注意:
/thirdPartyLogin接口不需要 Authorization header(用于获取 token)- 其他所有接口都需要在请求头中携带 Authorization header
- Token 过期后需要重新调用
/thirdPartyLogin获取新 Token
查询参数
pageinteger可选Default:
页码(从1开始)
1Example: 1page_numinteger可选Default:
每页数量
20Example: 20trans_typestring · enum可选Example:
交易类型筛选(recharge、payment、open_card)
recharge可能的值: card_binding_idinteger可选Example:
卡片绑定ID筛选
12345start_datestring可选Example:
开始日期(格式:YYYY-MM-DD 或时间戳)
2024-10-01end_datestring可选Example:
结束日期(格式:YYYY-MM-DD 或时间戳)
2024-10-31响应
200
查询成功
application/json
codeinteger可选Example:
响应状态码,200 表示成功
200statusstring可选Example:
响应状态,"true" 表示成功
truemessagestring可选Example:
响应消息
success400
请求参数错误
application/json
401
未授权
application/json
500
服务器内部错误
application/json
get
/userTrans授权
Authorizationstring必填
使用从 /thirdPartyLogin 接口获取的 userToken 进行身份验证。
在请求头中添加:
Authorization: Bearer {userToken}
示例:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoxMjM0LCJ1c2VyX2tleSI6InVzZXJAZXhhbXBsZS5jb20iLCJleHAiOjE2OTgyMDMzOTV9.xxxxx
注意:
/thirdPartyLogin接口不需要 Authorization header(用于获取 token)- 其他所有接口都需要在请求头中携带 Authorization header
- Token 过期后需要重新调用
/thirdPartyLogin获取新 Token
查询参数
transaction_idstring必填Example:
交易ID
tx_123456响应
200
查询成功
application/json
codeinteger可选Example:
响应状态码,200 表示成功
200statusstring可选Example:
响应状态,"true" 表示成功
truemessagestring可选Example:
响应消息
successdataobject可选
交易记录详情
400
请求参数错误
application/json
401
未授权
application/json
500
服务器内部错误
application/json
get
/userTransRecord最后更新于